from django.utils import translation

class LanguageMiddleware(object):

    def process_request(self, request):
        if request.user.is_authenticated():
            language = request.user.get_profile().language
            translation.activate(language)
            request.LANGUAGE_CODE = translation.get_language()
            
        
            